Bug 735480 - [abrt] pitivi-0.14.0-2.fc15: singledecodebin.py:316:_unblockPad:TypeError: Parameter 'handler_id' must be an int or a long
Summary: [abrt] pitivi-0.14.0-2.fc15: singledecodebin.py:316:_unblockPad:TypeError: Pa...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a4eb0a28b6c1f5d916a6f142a80...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 18:47 UTC by Alessandro Rovelli
Modified: 2012-08-07 16:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:51:53 UTC


Attachments (Terms of Use)

Description Alessandro Rovelli 2011-09-02 18:47:47 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        python /usr/bin/pitivi
comment:        Importing a flv clip into pitivi
component:      pitivi
executable:     /usr/bin/pitivi
kernel:         2.6.40.3-0.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        pitivi-0.14.0-2.fc15
reason:         singledecodebin.py:316:_unblockPad:TypeError: Parameter 'handler_id' must be an int or a long
time:           Fri Sep  2 20:46:01 2011
uid:            500
username:       rovelli.alessandro

backtrace:
:singledecodebin.py:316:_unblockPad:TypeError: Parameter 'handler_id' must be an int or a long
:
:Traceback (most recent call last):
:  File "/usr/share/pitivi/python/pitivi/elements/singledecodebin.py", line 339, in _padEventCb
:    self._unblockPad(target=pad)
:  File "/usr/share/pitivi/python/pitivi/elements/singledecodebin.py", line 316, in _unblockPad
:    target.remove_event_probe(self._eventProbeId)
:TypeError: Parameter 'handler_id' must be an int or a long
:
:Local variables in innermost frame:
:self: <SingleDecodeBin object (pitivi+elements+singledecodebin+singledecodebin3) at 0x9a2734c>
:target: <GstPad (faad3:src) at b5d57bf0>

Comment 1 Jose Edgar 2011-09-16 00:32:22 UTC
Package: pitivi-0.14.0-2.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I just drop a video file over de multimedia library section

Comment 2 Rakesh Jain 2011-10-04 08:31:44 UTC
Package: pitivi-0.14.0-2.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
opened a video of 2.4 gb

Comment 3 Rakesh Jain 2011-10-04 08:33:54 UTC
Package: pitivi-0.14.0-2.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
opened a video of 2.4 gb

Comment 4 Gwyn Ciesla 2012-03-27 18:02:49 UTC
Does this crash with the 0.15.0-3 in updates-testing?

Comment 5 Fedora End Of Life 2012-08-07 16:51:55 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.